## rtpamrdepay rtpamrdepay — Extracts AMR or AMR-WB audio from RTP packets (RFC 3267) |

## Synopsis

    struct              GstRtpAMRDepay;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstRTPBaseDepayload
                               +----GstRtpAMRDepay

## Description

Extract AMR audio from RTP packets according to RFC 3267. For detailed information see: http://www.rfc-editor.org/rfc/rfc3267.txt

### Example pipeline

    1
    gst-launch-1.0 udpsrc caps='application/x-rtp, media=(string)audio, clock-rate=(int)8000, encoding-name=(string)AMR, encoding-params=(string)1, octet-align=(string)1, payload=(int)96' ! rtpamrdepay ! amrnbdec ! pulsesink

This example pipeline will depayload and decode an RTP AMR stream. Refer to the rtpamrpay example to create the RTP stream.

Last reviewed on 2013-04-25 (1.1.0)

## Synopsis

### Element Information

plugin | rtp
author | Wim Taymans <wim.taymans@gmail.com>
class | Codec/Depayloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-rtp, media=(string)audio, clock-rate=(int)8000, encoding-name=(string)AMR, encoding-params=(string)1, octet-align=(string)1
| application/x-rtp, media=(string)audio, clock-rate=(int)16000, encoding-name=(string)AMR-WB, encoding-params=(string)1, octet-align=(string)1

name | src
direction | source
presence | always
details | audio/AMR, channels=(int)1, rate=(int)8000
| audio/AMR-WB, channels=(int)1, rate=(int)16000

## Details

### struct GstRtpAMRDepay

    struct GstRtpAMRDepay;

## See Also

rtpamrpay